Page Menu
Home
Phorge
Search
Configure Global Search
Log In
Files
F118012099
D3023.1775558732.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Flag For Later
Award Token
Authored By
Unknown
Size
1 KB
Referenced Files
None
Subscribers
None
D3023.1775558732.diff
View Options
diff --git a/bin/quickstart.sh b/bin/quickstart.sh
--- a/bin/quickstart.sh
+++ b/bin/quickstart.sh
@@ -34,12 +34,10 @@
test ! -z "$(php --modules | grep swoole)" || \
die "Is swoole installed?"
-base_dir=$(dirname $(dirname $0))
-
-docker pull docker.io/kolab/centos7:latest
+test ! -z "$(cat /proc/cmdline | grep 'systemd.unified_cgroup_hierarchy=0')" || \
+ die "systemd containers only work with cgroupv1 (use 'grubby --update-kernel=ALL --args=\"systemd.unified_cgroup_hierarchy=0\"' and a reboot to fix)"
-docker-compose down --remove-orphans
-docker-compose build
+base_dir=$(dirname $(dirname $0))
pushd ${base_dir}/src/
@@ -54,6 +52,11 @@
popd
+docker pull docker.io/kolab/centos7:latest
+
+docker-compose down --remove-orphans
+docker-compose build coturn kolab mariadb meet pdns-sql proxy redis nginx
+
bin/regen-certs
docker-compose up -d coturn kolab mariadb meet pdns-sql proxy redis
@@ -61,7 +64,7 @@
pushd ${base_dir}/src/
rm -rf vendor/ composer.lock
-php -dmemory_limit=-1 /bin/composer install
+php -dmemory_limit=-1 $(which composer) install
npm install
find bootstrap/cache/ -type f ! -name ".gitignore" -delete
./artisan key:generate
@@ -79,7 +82,7 @@
EOF
-if [ ! -z "$(rpm -qv chromium 2>/dev/null)" ]; then
+if rpm -qv chromium 2>/dev/null; then
chver=$(rpmquery --queryformat="%{VERSION}" chromium | awk -F'.' '{print $1}')
./artisan dusk:chrome-driver ${chver}
fi
@@ -91,13 +94,16 @@
npm run dev
popd
-docker-compose up -d worker nginx
+docker-compose up -d nginx
pushd ${base_dir}/src/
rm -rf database/database.sqlite
./artisan db:ping --wait
php -dmemory_limit=512M ./artisan migrate:refresh --seed
-./artisan data:import
+./artisan data:import || :
+# Instead of horizon for the local environment
+./artisan queue:restart
+./artisan queue:work --timeout=60 --tries 3 &
./artisan swoole:http stop >/dev/null 2>&1 || :
./artisan swoole:http start
popd
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Tue, Apr 7, 10:45 AM (1 h, 19 m ago)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
18842285
Default Alt Text
D3023.1775558732.diff (1 KB)
Attached To
Mode
D3023: bin/quickstart.sh enhancements
Attached
Detach File
Event Timeline